<?xml version="1.0" encoding="UTF-8"?>
<config>
    <metadata>
        <name>arrayTextArea</name>
        <title>Array (texts with text area)</title>
        <creationDate>2020-02-03</creationDate>
        <author>Denis Chenu</author>
        <authorEmail>contact@sondages.pro</authorEmail>
        <authorUrl>http://sondages.pro</authorUrl>
        <copyright>Copyright (C) 2020 Denis Chenu / Sondages Pro.</copyright>
        <license>MIT Licence</license>
        <version>2.1.0</version>
        <apiVersion>3</apiVersion>
        <description>Allow to have textarea in array text</description>
        <type>question_theme</type>
        <questionType>;</questionType>
        <group>Arrays</group>
        <subquestions>2</subquestions>
        <answerscales>0</answerscales>
        <hasdefaultvalues>0</hasdefaultvalues>
        <assessable>0</assessable>
        <class>array-multi-flexi-text</class>
    </metadata>

    <compatibility>
        <version>3</version>
        <version>5</version>
        <version>6</version>
    </compatibility>

    <files>
        <preview>
            <filename>arraytext_display_rows.png</filename>
        </preview>
    </files>
    <attributes>
        <attribute>
            <name>display_rows</name>
            <category>Display</category>
            <inputtype>integer</inputtype>
            <caption>Display rows</caption>
            <help>How many rows to display (default is 4).</help>
            <sortorder>200</sortorder>
        </attribute>
        <attribute>
            <name>restricted_columns</name>
            <category>Display</category>
            <inputtype>textarea</inputtype>
            <caption>Restricted to columns</caption>
            <help>Restrict the textarea to this columns (separated by &lt;code&gt;,&lt;/code&gt;). Leave empty for all.</help>
            <sortorder>210</sortorder>
        </attribute>
    </attributes>

    <engine>
        <load_core_css>true</load_core_css>
        <load_core_js>true</load_core_js>
        <show_as_template>true</show_as_template>
        <show_as_question_type>false</show_as_question_type>
    </engine>
</config>
